/*************************************************************************
    07-04-98 : Narayan
    Modifica :
    Added two global variable
    <1> DATI *p_a;       //This points to Area A ( p_plcvis->dati_plc.aa )
    <2> char *p_loganal; //This points to the loganal area

   MODIFICHE per RELEASE cnc 2701 V2.02:

      16-02-2000   -   GALLI

         MODIFICA:
            Rinominato le variabili
            act come   act_plctemp
            pre come   pre_plctemp

            Le variabili
            DATI segn3[Q_TEMP / (sizeof(DATI) * 8)];
            DATI segn4[Q_TEMP / (sizeof(DATI) * 8)];
            unsigned long   cont1[Q_TEMP];
            unsigned long   cont2[Q_TEMP];
            unsigned long   cont3[Q_TEMP];
            unsigned long   cont4[Q_TEMP];
            sono state spostate come "static" in tempor().

            Tolto le variabili
            n_temp

   MODIFICHE per RELEASE cnc 2801 V1.00:

      17-02-2000   -   GALLI

         MODIFICA:
            La struttura DATI e' stata rinominata come DF_TIPLC.
            Aggiunto short StartPLC, PLCrunning, TAUPLCspent.
            Tolto *p_a, *p_c, *p_d, *p_cust, *p_loganal;

   MODIFICHE per RELEASE cnc 2801 V2.00:

      18-06-2001   -   GALLI

         MODIFICA:
            Aggiunta definizione _EXTDD_, include "def_ext_.h",
            condizionamento _WINDOWS, per compilazione QAL1.

   MODIFICHE per RELEASE cnc 2801 V2.04:

      30-01-2003   -   GALLI

         MODIFICA:
            Eliminato le strutture AXOUT e AXIN cadute in disuso:
            cancellato i riferimenti ai puntatori di tali strutture
            (p_axo, p_axic).

   MODIFICHE per RELEASE cnc 2801 V3.00:

      05-10-2001   -   GALLI

         MODIFICA:
            Modifiche per doppia precisione:
            aggiunto nuovo puntatore "p_md".
			
   MODIFICHE per RELEASE cnc 900 :

   02-12-2009   -   Software

   MODIFICA:
   Tolta variabile "override_mu"
   
   11-02-2010   -   Tesi Paolo

   MODIFICA:
   Tolte variabili "act_plctemp[], pre_plctemp[], TAUPLCspent .
   
MODIFICHE per RELEASE cnc 900 V1.05.005:

	20-03-2013    Tesi Paolo

	MODIFICA:
           Aggiunto dichiarazione di pEthIASts.
           Per lettura stato degli input analogici.


	25-11-2013    Tesi Paolo

	MODIFICA:
		Modifiche software versione V2.0.

	MODIFICHE per RELEASE cnc 900 V2.01.005:

		15-09-2014    Tommaso Sottili

		MODIFICA: Aggiunta gestione STATUS per output analogici
*************************************************************************/
#pragma once 

#ifndef _DF_VAPLC_INC_DEFINED
#define _DF_VAPLC_INC_DEFINED

#include "def_ext_.h"


   _EXTDD_ WORD_Q *p_xi;
   _EXTDD_ WORD_Q *p_xo;

   _EXTDD_ DATI_PLC  *p_dplc;
   _EXTDD_ DF_TIPLC  *p_m;
   _EXTDD_ DF_TIPLCD *p_md;
   _EXTDD_ DF_TIPLC  *p_rs;
   _EXTDD_ DF_TIPLC  *p_tsc;
   _EXTDD_ DF_TIPLC  *p_rvol;

   _EXTDD_ WORD_Q *		pEthID;
   _EXTDD_ WORD_Q *		pEthOD;
   _EXTDD_ WORD_Q *		pEthIA;
   _EXTDD_ DF_TIPLC *	pEthIASts;
   _EXTDD_ WORD_Q *		pEthOA;
   _EXTDD_ DF_TIPLC *	pEthOASts;
   _EXTDD_ DF_TIPLC *	pEthTrCnt;
   _EXTDD_ DF_TIPLC *	pEthTrSts;


#ifndef _WINDOWS
   //_EXTDD_ char pon;

	//!EcsIntermedio
    // questa variabile indica la presenza degli override su tastiera di macchina
	//!ECS900 ------ Tolta variabile adesso non serve pi
//   _EXTDD_ char override_mu;

//   _EXTDD_ DF_TIPLC act_plctemp[Q_TEMP / (sizeof(DF_TIPLC) * 8)];
//   _EXTDD_ DF_TIPLC pre_plctemp[Q_TEMP / (sizeof(DF_TIPLC) * 8)];

   #ifdef DF_VAPLC_GLOBA
      _EXTDD_ short StartPLC = 0;
      _EXTDD_ short PLCrunning = 0;
//      _EXTDD_ unsigned long TAUPLCspent = 0;
   #else
      _EXTDD_ short StartPLC;
      _EXTDD_ short PLCrunning;
//      _EXTDD_ unsigned long TAUPLCspent;
   #endif /* DF_VAPLC_GLOBA */
#endif /* _WINDOWS */

#endif /* _DF_VAPLC_INC_DEFINED */
